<ol class="page-breadcrumb">
  [[> Partial:breadcrumb iri=(resolvePrefix ":Start") label="Home"]]
  [[> Partial:breadcrumb iri=(resolvePrefix ":listRepositories") label="Repositories"]]
</ol>

[[> Partial:contentStart]]

[[> Partial:pageHeader title="All Repositories"]]

[[#if (hasPermission "forms:ldp:update")]]
<div class="btn-toolbar">
  <semantic-link
    iri="[[resolvePrefix ':createRepository']]"
    class="btn btn-md btn-primary "
    >Add new repository</semantic-link>
</div>
[[/if]]

<div class="gap">
  <semantic-simple-search
    query='
      SELECT ?resource ?label WHERE {
        ?resource a ismi:Repository ;
          rdfs:label ?label .
        ?label bds:search ?__token__ ;
          bds:relevance ?score .
      } ORDER BY DESC(?score) LIMIT 100
    '
    template='<span style="color: blue;" title="{{resource.value}}">{{label.value}}</span>'
    input-placeholder='Search for repository...'
  ></semantic-simple-search>
</div>

<div class="panel gap">
  <div class="panel-body">
    [[> Partial:tableRepositories]]
  </div>
</div>

[[> Partial:contentEnd]]
